<template>
<v-container grid-list-xl>
    <v-layout>

        <v-flex v-if="taskData.transportes_externos">
            <div>
                <list-transportes-externos v-bind:externos="taskData" />
            </div>
        </v-flex>

        <v-flex v-if="taskData.clinica_externas">
            <div>
                <list-clinica-externa v-bind:externos="taskData.clinica_externas" />
            </div>
        </v-flex>

        <v-flex v-if="taskData.clinica_internas">
            <div>
                <list-clinica-interna v-bind:externos="taskData.clinica_internas" />
            </div>
        </v-flex>

        <v-flex v-if="taskData.domicilios">
            <div>
                <list-domicilios v-bind:examenes="taskData.domicilios" />
            </div>
        </v-flex>

    </v-layout>
</v-container>
</template>

<script>
import ListTransportesExternos from './taskList/ListTransportesExternos'
import ListClinicaExterna from './taskList/ListClinicaExterna'
import ListClinicaInterna from './taskList/ListClinicaInterna'
import ListDomicilios from './taskList/ListDomiciliosb'

export default {
    name: 'TaskList',
    props: ['taskData'],
    components: {
        ListTransportesExternos,
        ListClinicaExterna,
        ListClinicaInterna,
        ListDomicilios,
    }
}
</script>
